REM Reflection about a line y=ax
PICTURE House   
   SET AREA COLOR 15                           
   PLOT AREA:  0,1; 0,0; 2,0; 2,1                              
   SET AREA COLOR 2                   
   PLOT AREA: -0.6,1; 2.6,1; 2,2; 0,2                                 
   SET AREA COLOR 10
   PLOT AREA: 0.1,0; 0.1,0.8; 0.5,0.8; 0.5,0                         
   SET AREA COLOR 5
   PLOT AREA: 1.4,0.4; 1.9,0.4; 1.9,0.8; 1.4,0.8         
   SET AREA COLOR 12
   PLOT AREA: 1.7,2; 1.7,2.3; 1.5,2.3; 1.5,2          
END PICTURE                                                
INPUT PROMPT "a=":a
LET theta=ATN(a)
SET WINDOW -4,4,-4,4                                       
DRAW axes  
DRAW House
PLOT LINES:-4,a*(-4); 4,a*4   
DRAW House WITH ROTATE(-theta)*SCALE(1,-1)*ROTATE(theta)
END                                                        
